This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 351641 - libvirt should allow live addition of CDROM in qemu/kvm
libvirt should allow live addition of CDROM in qemu/kvm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 21:57 EDT by Andrew Bartlett
Modified: 2008-09-03 16:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 16:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2007-10-24 21:57:34 EDT
Description of problem:
libvirt's qemu/kvm backend cannot add a CDROM on the fly

Version-Release number of selected component (if applicable):
libvirt-0.3.3-2.fc8
virt-manager-0.5.2-2.fc8
How reproducible:
Every time

Steps to Reproduce:
1. Select hardware tab
2. Add CDROM (or pointer, or)
3. Click Finish
  
Actual results:
Error complaining that the libvirt backend does not support this at runtime

Expected results:
CDROM to appear as required by windows guest, mid-way into an AD install


Additional info:
Comment 1 Daniel Veillard 2007-10-25 02:27:18 EDT
Being worked upstream !
https://www.redhat.com/archives/libvir-list/2007-October/msg00108.html
I don't think it was commited yet though

Daniel
Comment 2 Bug Zapper 2008-04-04 10:16:18 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Cole Robinson 2008-09-03 16:53:25 EDT
Support for connecting + ejecting is definitely supported in current f8 and f9, so closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.